Permalink
Browse files

Fixing versioning

  • Loading branch information...
1 parent 8af0dfb commit a21be6bc808d23101bfb3c01c11a12b82b21c0b1 Rodrigo Flores committed May 9, 2012
Showing with 19 additions and 31 deletions.
  1. +1 −1 Gemfile
  2. +8 −14 Gemfile.lock
  3. +1 −1 devise-encryptable.gemspec
  4. +1 −1 gemfiles/Gemfile.rails-3.1.x
  5. +8 −14 gemfiles/Gemfile.rails-3.1.x.lock
View
2 Gemfile
@@ -3,7 +3,7 @@ source 'https://rubygems.org'
# Specify your gem's dependencies in encryptor.gemspec
gemspec
-gem 'devise', :git => "git://github.com/plataformatec/devise.git", :branch => "removing_encryptable"
+gem 'devise', "~> 2.1.0.rc"
gem 'minitest'
gem 'rails', "~> 3.2"
gem 'sqlite3'
View
22 Gemfile.lock
@@ -1,19 +1,8 @@
-GIT
- remote: git://github.com/plataformatec/devise.git
- revision: 0d868b9ec1e0c7d3a041bb65c2889b5bd23d65dc
- branch: removing_encryptable
- specs:
- devise (2.1.0.rc)
- bcrypt-ruby (~> 3.0)
- orm_adapter (~> 0.0.7)
- railties (~> 3.1)
- warden (~> 1.1.1)
-
PATH
remote: .
specs:
- devise-encryptable (0.0.1)
- devise (~> 2.1.0.rc)
+ devise-encryptable (0.1.0)
+ devise (>= 2.1.0.rc)
GEM
remote: https://rubygems.org/
@@ -50,6 +39,11 @@ GEM
bcrypt-ruby (3.0.1)
builder (3.0.0)
coderay (1.0.6)
+ devise (2.1.0.rc)
+ bcrypt-ruby (~> 3.0)
+ orm_adapter (~> 0.0.3)
+ railties (~> 3.1)
+ warden (~> 1.1.1)
erubis (2.7.0)
hike (1.2.1)
i18n (0.6.0)
@@ -123,7 +117,7 @@ PLATFORMS
DEPENDENCIES
awesome_print
- devise!
+ devise (~> 2.1.0.rc)
devise-encryptable!
minitest
mocha
View
2 devise-encryptable.gemspec
@@ -15,5 +15,5 @@ Gem::Specification.new do |gem|
gem.require_paths = ["lib"]
gem.version = Devise::Encryptable::VERSION
- gem.add_dependency("devise", '~> 2.1')
+ gem.add_dependency("devise", '>= 2.1.0.rc')
end
View
2 gemfiles/Gemfile.rails-3.1.x
@@ -2,7 +2,7 @@ source 'https://rubygems.org'
gem "devise-encryptable", :path => ".."
-gem 'devise', :git => "git://github.com/plataformatec/devise.git", :branch => "removing_encryptable"
+gem 'devise', '>= 2.1.0.rc'
gem 'minitest'
gem 'rails', "3.1.4"
gem 'sqlite3'
View
22 gemfiles/Gemfile.rails-3.1.x.lock
@@ -1,19 +1,8 @@
-GIT
- remote: git://github.com/plataformatec/devise.git
- revision: 0d868b9ec1e0c7d3a041bb65c2889b5bd23d65dc
- branch: removing_encryptable
- specs:
- devise (2.1.0.rc)
- bcrypt-ruby (~> 3.0)
- orm_adapter (~> 0.0.7)
- railties (~> 3.1)
- warden (~> 1.1.1)
-
PATH
remote: ..
specs:
- devise-encryptable (0.0.1)
- devise (~> 2.1.0.rc)
+ devise-encryptable (0.1.0)
+ devise (>= 2.1.0.rc)
GEM
remote: https://rubygems.org/
@@ -51,6 +40,11 @@ GEM
bcrypt-ruby (3.0.1)
builder (3.0.0)
coderay (1.0.6)
+ devise (2.1.0.rc)
+ bcrypt-ruby (~> 3.0)
+ orm_adapter (~> 0.0.3)
+ railties (~> 3.1)
+ warden (~> 1.1.1)
erubis (2.7.0)
hike (1.2.1)
i18n (0.6.0)
@@ -125,7 +119,7 @@ PLATFORMS
DEPENDENCIES
awesome_print
- devise!
+ devise (>= 2.1.0.rc)
devise-encryptable!
minitest
mocha

0 comments on commit a21be6b

Please sign in to comment.